package com.tutego.insel.meta;

interface DynamBase
{
  void meth();
}
  
class DynamBaseMethod implements DynamBase
{
  public void meth()
  {
    System.out.println( "Bewusste Raucher trinken Filterkaffee" );
  }
}

public class DynamAbstract
{
  public static void main( String[] args ) throws Exception
  {
    Class<?> clazz = Class.forName( "DynamBaseMethod" );
  
    DynamBase o = (DynamBase) clazz.newInstance();
  
    o.meth();
  }
}